events.listen("recipes", function (event) {

  // Dust Unification
  var dusts = [
    "dust_copper",
    "dust_tin",
    "dust_silver",
    "dust_nickel",
    "dust_zinc",
    "dust_aluminum",
    "dust_lead",
    "dust_gold",
    "dust_uranium",
    
    "copper_dust",
    "tin_dust",
    "lead_dust",
    "silver_dust",
    "nickel_dust",
    "zinc_dust",
    "aluminum_dust",
    "uranium_dust",
    "gold_dust",
    "iron_dust",
  ];

  dusts.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "mekanism:" + item, "silents_mechanisms:" + item);
  });

  // Copper Unification
  var copper = [
    "ingot_copper",
    "block_copper",
    "nugget_copper",
    "storage_copper",
    "copper_ingot",
    "copper_block",
    "copper_nugget",
  ];

  copper.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "mekanism:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "iceandfire:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "bno:" + item, "silents_mechanisms:" + item);
  });

  // Tin Unification
  var tin = [
    "ingot_tin",
    "block_tin",
    "nugget_tin",
    "storage_tin",
    "tin_ingot",
    "tin_block",
    "tin_nugget",
  ];

  tin.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "mekanism:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "bno:" + item, "silents_mechanisms:" + item);
  });

  // Lead Unification
  var lead = [
    "ingot_lead",
    "block_lead",
    "nugget_lead",
    "storage_lead",
    "lead_ingot",
    "lead_block",
    "lead_nugget",
  ];

  lead.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "mekanism:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "bno:" + item, "silents_mechanisms:" + item);
  });

  // Silver Unification
  var silver = [
    "ingot_silver",
    "block_silver",
    "nugget_silver",
    "storage_silver",
    "silver_ingot",
    "silver_block",
    "silver_nugget",
  ];

  silver.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "iceandfire:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "bno:" + item, "silents_mechanisms:" + item);
  });

  // Nickel Unification
  var nickel = [
    "ingot_nickel",
    "block_nickel",
    "nugget_nickel",
    "storage_nickel",
    "nickel_ingot",
    "nickel_block",
    "nickel_nugget",
  ];

  nickel.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "bno:" + item, "silents_mechanisms:" + item);
  });

  // Uranium Unification
  var uranium = [
    "ingot_uranium",
    "block_uranium",
    "nugget_uranium",
    "storage_uranium",
    "uranium_ingot",
    "uranium_block",
    "uranium_nugget",
  ];

  uranium.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "mekanism:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "bno:" + item, "silents_mechanisms:" + item);
  });

  // Aluminum Unification
  var aluminum = [
    "ingot_aluminum",
    "block_aluminum",
    "nugget_aluminum",
    "storage_aluminum",
    "aluminum_ingot",
    "aluminum_block",
    "aluminum_nugget",
  ];

  aluminum.forEach(function (item, index) {
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "bno:" + item, "silents_mechanisms:" + item);
  });

  // Steel Unification
  var steel = [
    "ingot_steel",
    "steel_ingot",
    "nugget_steel",
    "steel_nugget",
    "storage_steel",
    "block_steel",
    "steel_block",
  ];

  steel.forEach(function (item, index) {
    event.replaceOutput({}, "immersiveengineering:" + item, "silents_mechanisms:" + item);
    event.replaceOutput({}, "mekanism:" + item, "silents_mechanisms:" + item);
  });

  // Osmium Unification
  var osmium = [
    "osmium_ingot",
    "ingot_osmium",
    "osmium_nugget",
    "nugget_osmium",
    "osmium_block",
    "block_osmium",
  ];

  osmium.forEach(function (item, index) {
    event.replaceOutput({}, "bno:" + item, "mekanism:" + item);
  });

});